import os
import sys
import glob
import pandas as pd
import re

# 最新ファイルの取得(_class.txtがあるもの)
file_list=glob.glob('*_class.txt')
print(file_list)
file_updates = {file_path: os.stat(file_path).st_mtime for file_path in file_list}
newest_file_path = max(file_updates, key=file_updates.get)
base=newest_file_path[:-10]
print(base)

re_comment = re.compile('^\/\*.*\*\/')

# クラス記述txtファイル読み込み
df_class=pd.read_csv(f'{base}_class.txt',index_col=0, comment='#')
print(df_class)

ptn=''.join(df_class.index)
print(ptn)

# cssファイル書き出し
with open(f'{base}.css','w') as f:
    for i, row in df_class.iterrows():
        f.write(f".{row['class_name']} {{ color: #{row['color']} }}\n")

with open(f'{base}.html','w',encoding="utf-8") as fw:
    header=open('html_ls_head.txt',encoding="utf-8").read()
    header=header.replace('character',base)
    fw.write(header)

    with open(f'{base}.txt','r',encoding="utf-8") as fr:
        for line in fr.readlines():
            if line:
                if line[0] in ptn:
        #            print(line[0])
        #            print(df_class.at[line[0],"class_name"])
                    line=f'<span class=\"{df_class.at[line[0],"class_name"]}">{line[1:-1]}</span>\n'
                line=line[:-1]+'<br>\n'
            else: # 空行
                line='<\/p>\n<p>\n'
            fw.write(line)

    footer=open('html_ls_foot.txt',encoding="utf-8").read()
    fw.write(footer)
